Subject: [alpine-aports] [PATCH] main/logrotate: update urls

From: Sören Tempel <[email-masked]>
Date: Sun, 3 Jan 2016 02:31:47 +0100

https://fedorahosted.org/logrotate/ states that logrotate upstream has
been moved to GitHub. The old trac page is no longer updated.
---
 main/logrotate/APKBUILD | 20 ++++++++------------
 1 file changed, 8 insertions(+), 12 deletions(-)

diff --git a/main/logrotate/APKBUILD b/main/logrotate/APKBUILD
index 020a4c3..2a65fcf 100644
--- a/main/logrotate/APKBUILD
+++ b/main/logrotate/APKBUILD
@@ -2,28 +2,24 @@
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=logrotate
 pkgver=3.9.1
+_relver="r$(echo $pkgver | tr '.' '-')"
 pkgrel=1
 pkgdesc="Tool to rotate logfiles"
-url="https://fedorahosted.org/logrotate/"
+url="https://github.com/logrotate/logrotate"
 arch="all"
 license="GPL2"
 depends=""
 makedepends="popt-dev autoconf automake libtool"
 subpackages="$pkgname-doc"
-source="https://fedorahosted.org/releases/l/o/logrotate/logrotate-$pkgver.tar.gz
+source="$pkgname-$pkgver.tar.gz::https://github.com/${pkgname}/${pkgname}/archive/${_relver}.tar.gz
 	logrotate.cron
 	logrotate.conf
 	logrotate.confd"
 
-_builddir="$srcdir/$pkgname-$pkgver"
+_builddir="$srcdir"/$pkgname-$_relver
 prepare() {
 	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-	./autogen.sh
+	./autogen.sh || return 1
 }
 
 build() {
@@ -50,15 +46,15 @@ package() {
 		"$pkgdir"/etc/conf.d/logrotate
 }
 
-md5sums="4492b145b6d542e4a2f41e77fa199ab0  logrotate-3.9.1.tar.gz
+md5sums="8572b7c2cf9ade09a8a8e10098500fb3  logrotate-3.9.1.tar.gz
 7e9fad2c9b382a2370c11ef0c89f61c7  logrotate.cron
 dbe6b14d5265e32f8e1b655ae34ae3a3  logrotate.conf
 e7e4b67d5c4bda49ff3c041834180c1e  logrotate.confd"
-sha256sums="022769e3288c80981559a8421703c88e8438b447235e36dd3c8e97cd94c52545  logrotate-3.9.1.tar.gz
+sha256sums="5bf8e478c428e7744fefa465118f8296e7e771c981fb6dffb7527856a0ea3617  logrotate-3.9.1.tar.gz
 ccbcf1785c754ce07a55b81223ae5b0c2caec1ccf9cdf865debb140052f9b363  logrotate.cron
 4ceb3045968a7bc539a808821fb7ca03521806153b012bdb3800e1811d2772f9  logrotate.conf
 814bea9082cfa3a9446e25f4f4fe4fe205130cea6ba15dc8286409c3d01a3973  logrotate.confd"
-sha512sums="e6da7c7f067befaf2441e9c6ce77e53cf5ddb4f56cc3304c3e50873b6f20c68520f4a0e50ec466cbebcbed20bfd77bf6dfc489975a8131e9573fb19856c0fe28  logrotate-3.9.1.tar.gz
+sha512sums="f97fbbff69e0ec711a1a3d66d75823feb7db0356a019b365d1a1e872297c7792f3b4f4d8cb4e0a069aac7dcd0809e3da2d4fc0eef0c4e5bd2180a7a4c67dc19b  logrotate-3.9.1.tar.gz
 f4d708594fb2b240cfc2928f38a180d27c2cecb9867e048dc29a32c0147244db4d2f6d92e7bff27e1f2623537587db87b2f8fc9bb988f98eff0c98f79f5a5bf2  logrotate.cron
 a21f664cee9a3fa01c207fe126cef85d127c90ea012f4ecde47396ec1139dd489c04f92d5075fc1b0cbcc604af84c2ff01dccdaeca630db088c2f6e521fabe82  logrotate.conf
 be9f0043b594d26b4f64e07a2188d19c3c43af75ef726305e4d98f744fc16cee9f280227116858e2f5b781c0a7b58e0209d7e9ab1285dfa7ba55a9dfda700229  logrotate.confd"
-- 
2.6.4

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Sören Tempel <[email-masked]>
Date: Thu, 7 Jan 2016 18:21:19 +0100

build() {
 
2.7.0

---